Bug 125019 - CAN-2004-0523: MIT Kerberos 5: buffer overflows in krb5_aname_to_localname
Summary: CAN-2004-0523: MIT Kerberos 5: buffer overflows in krb5_aname_to_localname
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: krb5   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL: http://web.mit.edu/kerberos/advisorie...
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-02 09:09 UTC by Mark J. Cox
Modified: 2014-01-21 22:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 20:32:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2004-06-02 09:09:42 UTC
The krb5_aname_to_localname() library function contains multiple
buffer overflows which could be exploited to gain unauthorized root
access.

Only configurations which include auth_to_local_names or auth_to_local
directives (neither of which are included in default configurations)
are vulnerable.

        Affects: FC1
        Affects: FC2

Comment 1 Seth Vidal 2004-06-04 19:42:15 UTC

*** This bug has been marked as a duplicate of 125001 ***

Comment 2 Mark J. Cox 2004-06-04 20:31:16 UTC
this is not a duplicate; this is the bug for tracking the fix in
Fedora Core, bug #125001 is for tracking the fix in Red Hat Enterprise
Linux


Note You need to log in before you can comment on or make changes to this bug.